CVE-2015-2830

NameCVE-2015-2830
Descriptionarch/x86/kernel/entry_64.S in the Linux kernel before 3.19.2 does not prevent the TS_COMPAT flag from reaching a user-mode task, which might allow local users to bypass the seccomp or audit protection mechanism via a crafted application that uses the (1) fork or (2) close system call, as demonstrated by an attack against seccomp before 3.16.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-246-1, DSA-3237-1
NVD severitylow

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)stretch4.9.228-1fixed
stretch (security)4.9.210-1+deb9u1fixed
buster4.19.146-1fixed
buster (security)4.19.152-1fixed
bullseye, sid5.9.1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsourcewheezy3.2.68-1+deb7u1DSA-3237-1
linuxsourcejessie3.16.7-ckt9-3~deb8u1DSA-3237-1
linuxsource(unstable)3.16.7-ckt9-1
linux-2.6sourcesqueeze2.6.32-48squeeze12DLA-246-1
linux-2.6source(unstable)(unfixed)

Notes

Upstream commit: https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=956421fbb74c3a6261903f3836c0740187cf038b (v4.0-rc3)
https://www.openwall.com/lists/oss-security/2015/04/02/1

Search for package or bug name: Reporting problems